"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_COMPLECTION_MODEL = void 0;
const types_1 = require("./types");
exports.DEFAULT_COMPLECTION_MODEL = {
    maxPromptTokenSize: 3000,
    maxExecuteTimeMillSecond: 1000,
    tokenizerName: types_1.TokenizerName.cl100k_base,
    wishList: {
        afterCursor: {
            enable: true,
            attributeName: types_1.WishListAttributeName.afterCursor,
            extOption: {
                suffixPercent: 0.25,
                minBlockSize: 25,
            },
            priority: 1,
            strategy: types_1.StrategyType.InterceptBasedOnLine,
        },
        beforeCursor: {
            enable: true,
            attributeName: types_1.WishListAttributeName.beforeCursor,
            extOption: {
                prefixPercent: 0.75,
                minBlockSize: 75,
            },
            priority: 0,
            strategy: types_1.StrategyType.InterceptBasedOnLine,
        },
        importedFile: {
            attributeName: types_1.WishListAttributeName.importedFile,
            enable: true,
            extOption: {
                maxTime: 200,
                importedFilesMaxNum: 10,
                language: ['typescript'],
                maxPercent: 0.8,
                patternPrefix: 'Import Files from ',
                patternSuffix: '\n',
            },
            priority: 3,
            strategy: types_1.StrategyType.InterceptBasedOnLine,
        },
        languageMarker: {
            attributeName: types_1.WishListAttributeName.languageMarker,
            enable: true,
            extOption: {
                language: ['python', 'html'],
                maxPercent: 0,
            },
            priority: 4,
            strategy: types_1.StrategyType.InterceptBasedOnLine,
        },
        pathMarker: {
            attributeName: types_1.WishListAttributeName.pathMarker,
            enable: true,
            priority: 1,
            strategy: types_1.StrategyType.InterceptBasedOnLine,
        },
        similarFile: {
            attributeName: types_1.WishListAttributeName.similarFile,
            enable: true,
            extOption: {
                maxTime: 200,
                fileMaxLength: 5000,
                maxPercent: 0.3,
                neighboringTabsMaxNum: 20,
                neighboringTabsOption: [
                    types_1.NeighboringTabsOption.openFileHistory,
                    types_1.NeighboringTabsOption.editFileRecent,
                    types_1.NeighboringTabsOption.editFileHistory,
                ],
                patternPrefix: 'Compare this snippet from ',
                patternSuffix: '\n',
                similarityThreshold: 0.6,
                snippetMaxNum: 4,
                windowSize: 60,
                snippetSelectionMode: types_1.SnippetSelectionOption.BestMatch,
            },
            priority: 2,
            strategy: types_1.StrategyType.InterceptBasedOnLine,
        },
    },
};
//# sourceMappingURL=constants.js.map