import { ResourceDocument, TokenizerName } from '../types';
import { WindowedMatcher } from './matcher';
export interface CursorContextOptions {
    maxLineCount?: number;
    maxTokenLength?: number;
    tokenizerName?: TokenizerName;
    extensionPath?: string;
}
export declare const getCursorContext: (resource: ResourceDocument, option?: CursorContextOptions) => {
    context: string;
    lineCount: number;
    tokenLength: number;
    tokenizerName: TokenizerName;
};
export declare class FixedWindowSizeJaccardMatcher extends WindowedMatcher {
    static factory(windowSize: number): {
        to: (doc: ResourceDocument) => FixedWindowSizeJaccardMatcher;
    };
    private readonly windowLength;
    constructor(doc: ResourceDocument, windowSize: number);
    id(): string;
    getWindowsDelineations(lines: string[]): [number, number][];
    getCursorContextInfo(resource: ResourceDocument): {
        context: string;
        lineCount: number;
        tokenLength: number;
        tokenizerName: TokenizerName;
    };
    similarityScore(set1: Set<string>, set2: Set<string>): number;
}
//# sourceMappingURL=jaccardMatcher.d.ts.map