"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTokenizer = void 0;
// @ts-ignore
const js_tiktoken_1 = require("js-tiktoken");
const types_1 = require("../types");
const TOKENIZER_CACHE = new Map();
const getTokenizer = (tokenizerName = types_1.TokenizerName.cl100k_base) => {
    let tokenizer = TOKENIZER_CACHE.get(tokenizerName);
    if (tokenizer) {
        return tokenizer;
    }
    tokenizer = (0, js_tiktoken_1.getEncoding)('cl100k_base');
    TOKENIZER_CACHE.set(tokenizerName, tokenizer);
    return tokenizer;
};
exports.getTokenizer = getTokenizer;
//# sourceMappingURL=tokenizer.js.map