"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDocumentValid = exports.isDocumentTooShort = exports.isDocumentTooLarge = void 0;
const isDocumentTooLarge = (document) => {
    try {
        document.getText();
    }
    catch (e) {
        if (e instanceof RangeError) {
            return true;
        }
    }
    return false;
};
exports.isDocumentTooLarge = isDocumentTooLarge;
const MIN_PROMPT_CHARS = 10;
const isDocumentTooShort = (document) => document.getText().length < MIN_PROMPT_CHARS;
exports.isDocumentTooShort = isDocumentTooShort;
const isDocumentValid = (document) => {
    if ((0, exports.isDocumentTooLarge)(document) || (0, exports.isDocumentTooShort)(document)) {
        return false;
    }
    return true;
};
exports.isDocumentValid = isDocumentValid;
//# sourceMappingURL=utils.js.map